[arch-commits] Commit in (24 files)

Ionut Biru ibiru at archlinux.org
Sun Jul 4 10:19:21 EDT 2010


    Date: Sunday, July 4, 2010 @ 10:19:21
  Author: ibiru
Revision: 84781

dependencies needed by mythplugins

Added:
  perl-class-factory-util/
  perl-class-factory-util/repos/
  perl-class-factory-util/trunk/
  perl-class-factory-util/trunk/PKGBUILD
  perl-class-inspector/
  perl-class-inspector/repos/
  perl-class-inspector/trunk/
  perl-class-inspector/trunk/PKGBUILD
  perl-datetime-format-builder/
  perl-datetime-format-builder/repos/
  perl-datetime-format-builder/trunk/
  perl-datetime-format-builder/trunk/PKGBUILD
  perl-datetime-format-iso8601/
  perl-datetime-format-iso8601/repos/
  perl-datetime-format-iso8601/trunk/
  perl-datetime-format-iso8601/trunk/PKGBUILD
  perl-datetime-format-strptime/
  perl-datetime-format-strptime/repos/
  perl-datetime-format-strptime/trunk/
  perl-datetime-format-strptime/trunk/PKGBUILD
  perl-image-size/
  perl-image-size/repos/
  perl-image-size/trunk/
  perl-image-size/trunk/PKGBUILD

----------------------------------------------+
 perl-class-factory-util/trunk/PKGBUILD       |   27 +++++++++++++++++++++++
 perl-class-inspector/trunk/PKGBUILD          |   29 +++++++++++++++++++++++++
 perl-datetime-format-builder/trunk/PKGBUILD  |   28 ++++++++++++++++++++++++
 perl-datetime-format-iso8601/trunk/PKGBUILD  |   26 ++++++++++++++++++++++
 perl-datetime-format-strptime/trunk/PKGBUILD |   27 +++++++++++++++++++++++
 perl-image-size/trunk/PKGBUILD               |   22 ++++++++++++++++++
 6 files changed, 159 insertions(+)

Added: perl-class-factory-util/trunk/PKGBUILD
===================================================================
--- perl-class-factory-util/trunk/PKGBUILD	                        (rev 0)
+++ perl-class-factory-util/trunk/PKGBUILD	2010-07-04 14:19:21 UTC (rev 84781)
@@ -0,0 +1,27 @@
+# $Id:$
+pkgname=perl-class-factory-util
+_realname=Class-Factory-Util
+pkgver=1.7
+pkgrel=1
+pkgdesc="Provide utility methods for factory classes"
+arch=(i686 x86_64)
+license=('GPL' 'Artistic')
+url="http://search.cpan.org/~drolsky/Class-Factory-Util"
+options=(!emptydirs)
+depends=('perl')
+provides=('class-factory-util=1.7' 'Class::Factory::Util=1.7' 'perl-class-factory-util=1.7')
+source=(http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/Class-Factory-Util-1.7.tar.gz)
+md5sums=('aebd79da361b676a7ecd3245fc3d1b3f')
+
+build() {
+  cd ${srcdir}/${_realname}-${pkgver}
+  # install module in vendor directories.
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+  make  || return 1
+  make install DESTDIR=${pkgdir} || return 1
+
+  # remove perllocal.pod and .packlist
+  find ${pkgdir} -name perllocal.pod -delete
+  find ${pkgdir} -name .packlist -delete
+}
+

Added: perl-class-inspector/trunk/PKGBUILD
===================================================================
--- perl-class-inspector/trunk/PKGBUILD	                        (rev 0)
+++ perl-class-inspector/trunk/PKGBUILD	2010-07-04 14:19:21 UTC (rev 84781)
@@ -0,0 +1,29 @@
+#$Id:$
+pkgname=perl-class-inspector
+_realname=Class-Inspector
+pkgver=1.24
+pkgrel=1
+pkgdesc="'Get information about a class and its structure'"
+arch=(i686 x86_64)
+license=('GPL' 'Artistic')
+url="http://search.cpan.org/~adamk/Class-Inspector"
+options=(!emptydirs)
+depends=('perl>=5.10.1')
+provides=('class-inspector=1.24' 'Class::Inspector=1.24' 'perl-class-inspector=1.24' 'Class::Inspector::Functions=1.24' 'perl-class-inspector-functions=1.24')
+source=(http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/Class-Inspector-1.24.tar.gz)
+md5sums=('609189b49f64d329a6e413e0a6d8724a')
+
+build() {
+  cd "${srcdir}/${_realname}-${pkgver}"
+  # install module in vendor directories.
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+  make
+  make install DESTDIR=${pkgdir}
+
+  # remove perllocal.pod and .packlist
+  find ${pkgdir} -name perllocal.pod -delete
+  find ${pkgdir} -name .packlist -delete
+}
+
+# vim:set ts=2 sw=2 et:
+

Added: perl-datetime-format-builder/trunk/PKGBUILD
===================================================================
--- perl-datetime-format-builder/trunk/PKGBUILD	                        (rev 0)
+++ perl-datetime-format-builder/trunk/PKGBUILD	2010-07-04 14:19:21 UTC (rev 84781)
@@ -0,0 +1,28 @@
+# CPAN Name  : DateTime-Format-Builder
+# Contributor: Caleb Cushing <xenoterracide at gmail.com>
+# Generator  : CPANPLUS::Dist::Arch 0.18
+pkgname=perl-datetime-format-builder
+pkgver=0.8000
+pkgrel=3
+pkgdesc="Create DateTime parser classes and objects"
+arch=('i686' 'x86_64')
+license=('PerlArtistic' 'GPL')
+options=('!emptydirs')
+provides=('perl-datetime-format-builder=0.80')
+depends=('perl' 'perl-class-factory-util>=1.6' 'perl-datetime>=0.12' 'perl-datetime-format-strptime>=1.04' 'perl-params-validate>=0.72')
+url='http://search.cpan.org/dist/DateTime-Format-Builder'
+source=('http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/DateTime-Format-Builder-0.80.tar.gz')
+md5sums=('f6c5d5a17b5b7478ff555a2d3cce5136')
+
+build() {
+  DIST_DIR="${srcdir}/DateTime-Format-Builder-0.80"
+  export PERL_MM_USE_DEFAULT=1
+  { cd "$DIST_DIR" &&
+    perl Makefile.PL INSTALLDIRS=vendor &&
+    make &&
+    make test &&
+    make DESTDIR="$pkgdir" install;
+  } || return 1;
+
+  find "$pkgdir" -name .packlist -o -name perllocal.pod -delete
+}

Added: perl-datetime-format-iso8601/trunk/PKGBUILD
===================================================================
--- perl-datetime-format-iso8601/trunk/PKGBUILD	                        (rev 0)
+++ perl-datetime-format-iso8601/trunk/PKGBUILD	2010-07-04 14:19:21 UTC (rev 84781)
@@ -0,0 +1,26 @@
+# Contributor: Lukas Fleischer <archlinux at cryptocrack dot de>
+
+pkgname=perl-datetime-format-iso8601
+pkgver=0.07
+pkgrel=1
+pkgdesc="Parses ISO8601 formats."
+arch=('i686' 'x86_64')
+url="http://search.cpan.org/dist/DateTime-Format-ISO8601/"
+license=('PerlArtistic')
+depends=('perl-datetime-format-builder>=0.770.0' 'perl-datetime>=0.180.0')
+makedepends=('perl-module-build>=0.350.0')
+optdepends=('perl-file-find-rule'
+            'perl-test-distribution'
+            'perl-test-pod')
+options=(!emptydirs)
+source=("http://search.cpan.org/CPAN/authors/id/J/JH/JHOBLITT/DateTime-Format-ISO8601-$pkgver.tar.gz")
+md5sums=('debb51180d0318ae09cad01c544a1d7d')
+
+build() {
+  cd $srcdir/DateTime-Format-ISO8601-$pkgver
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+  make  || return 1
+  make install DESTDIR="${pkgdir}" || return 1
+  find ${pkgdir} -name perllocal.pod -delete
+  find ${pkgdir} -name .packlist -delete
+}

Added: perl-datetime-format-strptime/trunk/PKGBUILD
===================================================================
--- perl-datetime-format-strptime/trunk/PKGBUILD	                        (rev 0)
+++ perl-datetime-format-strptime/trunk/PKGBUILD	2010-07-04 14:19:21 UTC (rev 84781)
@@ -0,0 +1,27 @@
+# CPAN Name  : DateTime-Format-Strptime
+# Contributor: Caleb Cushing <xenoterracide at gmail.com>
+# Generator  : CPANPLUS::Dist::Arch 0.18
+pkgname=perl-datetime-format-strptime
+pkgver=1.2000
+pkgrel=1
+pkgdesc="Parse and Format DateTimes using Strptime"
+arch=('i686' 'x86_64')
+license=('PerlArtistic' 'GPL')
+options=('!emptydirs')
+depends=('perl' 'perl-datetime>=0.4304' 'perl-datetime-locale>=0.45' 'perl-datetime-timezone>=0.79' 'perl-params-validate>=0.64')
+url='http://search.cpan.org/dist/DateTime-Format-Strptime'
+source=('http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/DateTime-Format-Strptime-1.2000.tar.gz')
+md5sums=('8e0218294f983629cf781990ed61f3ba')
+
+build() {
+  DIST_DIR="${srcdir}/DateTime-Format-Strptime-1.2000"
+  export PERL_MM_USE_DEFAULT=1
+  { cd "$DIST_DIR" &&
+    perl Makefile.PL INSTALLDIRS=vendor &&
+    make &&
+    make test &&
+    make DESTDIR="$pkgdir" install;
+  } || return 1;
+
+  find "$pkgdir" -name .packlist -o -name perllocal.pod -delete
+}

Added: perl-image-size/trunk/PKGBUILD
===================================================================
--- perl-image-size/trunk/PKGBUILD	                        (rev 0)
+++ perl-image-size/trunk/PKGBUILD	2010-07-04 14:19:21 UTC (rev 84781)
@@ -0,0 +1,22 @@
+# $Id:$
+# Contributor: Lukas Jirkovsky <l.jirkovsky at gmail.com>
+# Contributor: Igor Scabini <furester at gmail.com>
+pkgname=perl-image-size
+pkgver=3.220
+pkgrel=1
+pkgdesc="Perl/CPAN Module Image::Size : read the dimensions of an image in several popular formats"
+arch=('i686' 'x86_64')
+url="http://search.cpan.org/dist/Image-Size/"
+license=('LGPL' 'Artistic')
+depends=('perl')
+source=("http://search.cpan.org/CPAN/authors/id/R/RJ/RJRAY/Image-Size-$pkgver.tar.gz")
+md5sums=('9025ff2283fd428a4af5226c05f5d5b2')
+
+build() {
+  cd "$srcdir"/Image-Size-$pkgver
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+  make || return 1
+  make pure_install doc_install DESTDIR="$pkgdir"
+  find "$pkgdir" -name '.packlist' -delete
+  find "$pkgdir" -name '*.pod' -delete
+}



More information about the arch-commits mailing list